/*

		mod Extra Animations

*/

class CPlayerSitting extends CPlayerInput
{
	public var isSit : bool; 	var maxWaterDepth : float;   default maxWaterDepth = 0.5;	
	
	public function initAction(){ theInput.RegisterListener(this, 'OnTriggerSit', 'Sit');		}
	
	event OnTriggerSit(action : SInputAction)
	{
		if( IsPressed(action)){
			if (!isSit){					
				if(canSit() && !thePlayer.IsInCombat()){
					isSit = true;
					GetWitcherPlayer().PlayerStartAction(PEA_Meditation);			
				}
			}
		else{
			isSit = false;
			GetWitcherPlayer().PlayerStopAction( PEA_Meditation); thePlayer.BlockAllActions( 'SitDown', false ); 				
		}
		}
	}
	
		
	
	public function canSit() : bool {
		
		var playerPos	: Vector; playerPos = GetWitcherPlayer().GetWorldPosition();
				
		if(playerPos.Z < theGame.GetWorld().GetWaterLevel(playerPos, true) && GetWitcherPlayer().IsInShallowWater()) return false;				
		if(theGame.GetWorld().GetWaterDepth(playerPos, true) > maxWaterDepth) return false;		
		if(GetWitcherPlayer().IsThreatened()) return false;		
		return true;
	}
}	
	

